curl -X GET "https://api.whatabot.app/api/v1/workspaces?page=0&size=10" \
-H "X-Api-Key: wh_your_api_key"
{
"content": [
{
"id": "workspace-uuid",
"name": "My Workspace",
"createdAt": "2025-01-15T10:00:00.000Z"
}
],
"totalElements": 1,
"totalPages": 1,
"number": 0,
"size": 10,
"first": true,
"last": true
}
Workspaces
List Workspaces
List all workspaces in the account.
GET
/
v1
/
workspaces
curl -X GET "https://api.whatabot.app/api/v1/workspaces?page=0&size=10" \
-H "X-Api-Key: wh_your_api_key"
{
"content": [
{
"id": "workspace-uuid",
"name": "My Workspace",
"createdAt": "2025-01-15T10:00:00.000Z"
}
],
"totalElements": 1,
"totalPages": 1,
"number": 0,
"size": 10,
"first": true,
"last": true
}
List all workspaces with pagination.
string
required
Your API key (prefixed with
wh_).integer
default:"0"
Page number (zero-based).
integer
default:"10"
Number of items per page (1-100).
curl -X GET "https://api.whatabot.app/api/v1/workspaces?page=0&size=10" \
-H "X-Api-Key: wh_your_api_key"
{
"content": [
{
"id": "workspace-uuid",
"name": "My Workspace",
"createdAt": "2025-01-15T10:00:00.000Z"
}
],
"totalElements": 1,
"totalPages": 1,
"number": 0,
"size": 10,
"first": true,
"last": true
}